> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Compatible Mime Types

> Get supported MIME types for a specific entity type



## OpenAPI

````yaml get /v1/knowledge-bases/mime-types
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/knowledge-bases/mime-types:
    get:
      tags:
        - V1 - Knowledge Bases
      summary: Get Compatible Mime Types
      description: Get supported MIME types for a specific entity type
      operationId: get_compatible_mime_types
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/MimeTypeInfo'
                type: array
                title: Response Get Compatible Mime Types
      security:
        - APIKeyHeader: []
components:
  schemas:
    MimeTypeInfo:
      properties:
        type:
          type: string
          title: Type
        extension:
          type: string
          title: Extension
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
      type: object
      required:
        - type
        - extension
      title: MimeTypeInfo
      description: Information about a supported MIME type
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````